Package com.io7m.cedarbridge.runtime.api

# Record Class CBIntegerUnsigned16

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16

Record Components:
  `value` - The value

All Implemented Interfaces:
  `CBIntegerType`, `CBSerializableType`, `Comparable<CBIntegerUnsigned16>`, `Formattable`

public record CBIntegerUnsigned16(int value) extends Record implements Comparable<CBIntegerUnsigned16>, CBIntegerType
The type of unsigned 16-bit integers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBIntegerUnsigned16(int value)`
  The type of unsigned 16-bit integers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CBIntegerUnsigned16 other)`
  `static CBIntegerUnsigned16`
  `deserialize(CBSerializationContextType context)`
  Deserialize the given value.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(CBSerializationContextType context, CBIntegerUnsigned16 x)`
  Serialize the given value.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBIntegerUnsigned16

    public CBIntegerUnsigned16(int value)
    The type of unsigned 16-bit integers.
    Parameters:
      `value` - The value

- ## Method Details

  - ### compareTo

    public int compareTo(CBIntegerUnsigned16 other)
    Specified by:
      `compareTo` in interface `Comparable<CBIntegerUnsigned16>`

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### serialize

    public static void serialize(CBSerializationContextType context, CBIntegerUnsigned16 x) throws IOException
    Serialize the given value.
    Parameters:
      `context` - The serialization context
      `x` - The value
    Throws:
      `IOException` - On errors

  - ### deserialize

    public static CBIntegerUnsigned16 deserialize(CBSerializationContextType context) throws IOException
    Deserialize the given value.
    Parameters:
      `context` - The serialization context
    Returns:
      The deserialized value
    Throws:
      `IOException` - On errors

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public int value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component